<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox demo</title>
    <style>
        *{
            margin: 0;
            padding: 0;
            font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
        }
        html, body{
            width: 100%;
            height: 100%;
        }
        #container{
            width: 100%;
            height: 100%;
            background: grey;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            justify-content: center;
            align-items: center;
        }
        #container > div {
            border: 1px solid darkblue;
            flex-basis: 350px;
            height: 100px;
            display: flex;
            justify-content: center;
            align-items: center;
            
        }
        #div1{
        /* flex-basis: calc(50% - 2px);
        order: 1; */
        
        }
        #div2{
        /* flex-basis: calc(50% - 2px);
        order: 5; */
        }
        #div3{
        /* flex: 1;
        order: 3; */
        }
        #div4{
        /* flex: 1;
        order: 4; */
        }
        #div5{
        /* flex: 1;
        order: 2; */
        }
        #div6{
        /* flex: 1;
        order: 2; */
        }


    </style>
</head>
<body>
    <div id="container">
        <div id="div1">div1</div>
        <div id="div2">div2</div>
        <div id="div3">div3</div>
        <div id="div4">div4</div>
        <div id="div5">div5</div>
        <div id="div6">div6</div>
    </div>

</body>
</html>